/* Hero section */

#hero {
    font-family: "Roboto", system-ui, -apple-system, sans-serif;
    
    min-height: 100dvh;

    display: grid;
    place-items: center;

    overflow: clip;
    position: relative;
    isolation: isolate;
}
#hero::after {
    content: "";
    position: absolute;
    inset: 0;

    background: linear-gradient(
        to right,
        hsla(225, 21%, 7%, 0.95),
        hsla(225, 21%, 7%, 0.65)
    );

    z-index: -1;
}
#hero picture.back-gr {
    position: absolute;
    inset: 0;
    z-index: -1;
}
#hero picture.back-gr img {
    min-width: 100%;
    min-height: 100%;
}

#hero .hero-inner {
    padding-block: 15rem 7.5rem;

    display: grid;
    gap: 3rem;
}

#hero .hero-inner .neon-box {
    max-width: max-content;
}

#hero .hero-inner h1 {
    max-width: 18ch;

    font-size: 7.2rem;
    line-height: 1.25;
    font-style: italic;
    text-transform: uppercase;
    color: var(--font-col-600);
    margin-bottom: 1.5rem;
}

#hero .hero-inner p {
    max-width: 80ch;

    font-size: 2rem;
    font-weight: 500;
    line-height: 1.5;
    color: var(--font-col-400);

    text-align: justify;
}

#hero .hero-inner ul {
    list-style: none;

    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(min(22.5rem, 100%), 1fr));
    gap: 2rem;
}

#hero .hero-inner ul li strong {
    display: block;
    font-size: 3rem;
    font-weight: 700;
    color: var(--yellow);
}
#hero .hero-inner ul li small {
    font-size: 1.4rem;
    color: var(--font-col-300);
}

#hero .hero-inner .buttons {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 1.5rem;
}


/* Slides 3 columns */

.slides {
    padding-block: 8rem;
}

.slides .-main-box {
    display: grid;
    gap: 3.2rem;
}

.slides p.text {
    margin-inline: auto;
    max-width: 80ch;

    font-size: 1.8rem;
    font-weight: 500;
    line-height: 1.625;
    text-align: center;
    color: var(--font-col-400);
}

.slides ul {
    --size: minmax(38rem, 1fr);
    list-style: none;

    display: grid;
    grid-template-columns: repeat(auto-fit, var(--size));
    gap: 3.2rem;
}
.slides ul > li {
    padding: 2.4rem;

    display: grid;
    grid-template-rows: subgrid;
    grid-row: span 4;
    gap: 1.6rem;

    border: 1px solid var(--border-col);
    border-radius: 1.6rem;
}
.slides ul li .strong-ico {
    width: 4.8rem;
    & svg {
        --d: 24px;
    }
}
.slides ul li h3 {
    font-size: 2rem;
    font-weight: 700;
    text-transform: uppercase;
    color: var(--font-col-600);
}
.slides ul li span {
    font-size: 1.4rem;
    font-weight: 500;
    line-height: 1.625;
    color: var(--font-col-300);
}


/* Cross-dock Solutions */

#crossdock-solutions {
    background-color: var(--main-col2);
}

#crossdock-solutions ul li {
    grid-row: span 3;
    background-color: var(--main-col1);

    position: relative;
    isolation: isolate;
    overflow: clip;
}
#crossdock-solutions ul li::after {
    content: "";

    position: absolute;
    inset: 0;

    background: linear-gradient(
        to bottom,
        transparent,
        var(--main-col1) 55%
    );

    z-index: -1;
}

#crossdock-solutions ul li picture {
    position: absolute;
    inset-inline: 0;

    aspect-ratio: 2 / 1.2;

    display: flex;
    align-items: center;
    justify-content: center;
    
    overflow: hidden;
    z-index: -2;
}
#crossdock-solutions ul li picture img {
    width: 100%;
    object-fit: contain;
    object-position: center;
}

#crossdock-solutions ul li .strong-ico {
    margin-block: 12rem 2rem;
}


/* Cross-dock Process */
#crossdock-process ul {
    --size: minmax(28rem, 1fr);
}
#crossdock-process ul li {
    grid-row: span 2;
    background-color: var(--main-col2);
}


/* Cross-dock Benefits */
#crossdock-benefits {
    background-color: var(--main-col2);
}
#crossdock-benefits ul li {
    grid-row: span 3;
    background-color: var(--main-col1);
}
#crossdock-benefits ul li h3 {
    font-size: 2.6rem;
    text-wrap: balance;
}


/* Cross-dock Specials */
#crossdock-specials ul li {
    grid-row: span 3;
    justify-items: center;

    background-color: var(--main-col2);

    & > * {
        text-align: center;
        text-wrap: balance;
    }
}
#crossdock-specials ul li h3 {
    font-size: 2.4rem;
}


/* Checks */

.checks {
    --mark: 16px;

    display: grid;
    align-items: center;
    grid-template-columns: var(--mark) auto;
    gap: calc(var(--mark) * 0.5);
}
.checks svg {
    --size: var(--mark);
    color: var(--yellow);
}
.checks small {
    font-size: 1.4rem;
    line-height: 1.625;
    color: var(--font-col-400);
}

.slide .checks {
    --mark: 22px;
}


/* Network in Washington state */
#wa-network .checks {
    padding: 2.4rem;
    align-items: normal;
    
    background-color: var(--main-col1);
    border: 1px solid var(--border-col);
    border-radius: 1.6rem;
}

/* VARIOUS INDUSTRIES */
#crossdock-industries ul {
    --size: minmax(28rem, 1fr);
}
#crossdock-industries ul li {
    grid-row: span 3;
    justify-items: center;
    background-color: var(--main-col2);
    & > * {
        text-align: center;
    }
}

/* WHY CHOOSE US */
#crossdock-why .-main-box {
    gap: 0;
    background-color: var(--main-col1);
    border: 1px solid var(--border-col);
    border-radius: 1.6rem;
    overflow: clip;
}
#crossdock-why .-main-box .text-block {
    padding: 4.8rem 3.2rem;
}
#crossdock-why picture {
    height: 100%;
    overflow: clip;
    position: relative;
    isolation: isolate;
}
#crossdock-why picture img {
    position: absolute;
    top: 50%; bottom: 0;
    left: 50%; width: auto;
    transform: translate(-50%, -50%);
    border: unset;
    border-radius: unset;
}

/* CTA */
#cta {
    padding-block: 8rem;
}
#cta .-main-box {
    display: grid;
    justify-items: center;
    gap: 4rem;
}
#cta h2 {
    max-width: 29ch;
    font-size: 4.8rem;
}
#cta p {
    max-width: 77ch;

    font-size: 2rem;
    line-height: 1.625;
    color: var(--font-col-600);
    text-align: center;
}
#cta .buttons {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 1.2rem;
}
#cta ul {
    list-style: none;
    width: 100%;

    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    gap: 2.4rem;
}
#cta ul li {
    width: min(24rem, 100%);
    padding: 2.4rem 3.6rem;

    display: grid;
    place-items: center;
    gap: 1.2rem;

    background-color: var(--main-col2);
    border: 1px solid var(--border-col);
    border-radius: 6px;
}

#cta ul li strong {
    font-size: 3rem;
    font-weight: 700;
    color: var(--yellow);
}
#cta ul li span {
    font-size: 1.4rem;
    color: var(--font-col-300);
    text-transform: uppercase;
}